| 0.9.9 API documenation

Functions
GLM_GTX_color_space
Experimental extensions

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | hsvColor (vec< 3, T, Q > const &rgbValue)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | luminosity (vec< 3, T, Q > const &color)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rgbColor (vec< 3, T, Q > const &hsvValue)
template<typename T >
GLM_FUNC_DECL mat< 4, 4, T, defaultp > | saturation (T const s)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | saturation (T const s, vec< 3, T, Q > const &color)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | saturation (T const s, vec< 4, T, Q > const &color)

## Detailed Description

Include <glm/gtx/color_space.hpp> to use the features of this extension.

Related to RGB to HSV conversions and operations.

## Function Documentation

## ◆ hsvColor()

GLM_FUNC_DECL vec<3, T, Q> glm::hsvColor | ( | vec< 3, T, Q > const & | rgbValue | ) |

Converts a color from RGB color space to its color in HSV color space.

See also
  GLM_GTX_color_space

## ◆ luminosity()

GLM_FUNC_DECL T glm::luminosity | ( | vec< 3, T, Q > const & | color | ) |

Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals.

See also
  GLM_GTX_color_space

## ◆ rgbColor()

GLM_FUNC_DECL vec<3, T, Q> glm::rgbColor | ( | vec< 3, T, Q > const & | hsvValue | ) |

Converts a color from HSV color space to its color in RGB color space.

See also
  GLM_GTX_color_space

## ◆ saturation() [1/3]

GLM_FUNC_DECL mat<4, 4, T, defaultp> glm::saturation | ( | T const | s | ) |

Build a saturation matrix.

See also
  GLM_GTX_color_space

## ◆ saturation() [2/3]

GLM_FUNC_DECL vec<3, T, Q> glm::saturation | ( | T const | s,
|  | vec< 3, T, Q > const & | color
| ) |  |

Modify the saturation of a color.

See also
  GLM_GTX_color_space

## ◆ saturation() [3/3]

GLM_FUNC_DECL vec<4, T, Q> glm::saturation | ( | T const | s,
|  | vec< 4, T, Q > const & | color
| ) |  |

Modify the saturation of a color.

See also
  GLM_GTX_color_space